class CartComponent {
	constructor ()
	{
		this.name = "Cart";
		this.attributes = ["data-v-component-cart"],

		this.image ="icons/cart.svg";
		this.html = '<div class="form-group"><label>Your response:</label><textarea class="form-control"></textarea></div>';
		
		this.properties = [];
	}

    init(node)
	{
		$('.form-group[data-v-group]').attr('style','display:none !important');
		if (node.dataset.type != undefined)
		{
			$('.form-group[data-v-group="'+ node.dataset.type + '"]').attr('style','');
		} else
		{		
			$('.form-group[data-v-group]:first').attr('style','');
		}
	}
}

let cartComponent = new CartComponent;

export {
  cartComponent
};
